Get big segment export
For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Returns information about a big segment export process. This is an export for a synced segment or a list-based segment that can include more than 15,000 entries.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "1234a567-bcd8-9123-4567-abcd1234567f",
"segmentKey": "example-big-segment",
"creationTime": "1654104600000",
"status": "complete",
"sizeBytes": 18,
"size": "18 B",
"initiator": "{\"name\": \"Ariel Flores\", \"email\": \"ariel@acme.com\"}",
"_links": {}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Authorizations
Path Parameters
The project key
The environment key
The segment key
The export ID
Response
Segment export response
The export ID
"1234a567-bcd8-9123-4567-abcd1234567f"
The segment key
"example-big-segment"
Timestamp of when this export was created
"1654104600000"
The export status
"complete"
The export size, in bytes
18
The export size, with units
"18 B"
Details on the member who initiated the export
Show child attributes
Show child attributes
"{\"name\": \"Ariel Flores\", \"email\": \"ariel@acme.com\"}"
The location and content type of related resources, including the location of the exported file
Show child attributes
Show child attributes
curl --request GET \
--url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "1234a567-bcd8-9123-4567-abcd1234567f",
"segmentKey": "example-big-segment",
"creationTime": "1654104600000",
"status": "complete",
"sizeBytes": 18,
"size": "18 B",
"initiator": "{\"name\": \"Ariel Flores\", \"email\": \"ariel@acme.com\"}",
"_links": {}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}